
Application: gvSIG desktop - gvSIG bugs #2506
Al instalar el paquete de WMS salta un error en la consola.
04/22/2014 01:50 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Installer
Target version: 2.1.0-2226-testing
Severity: Trivial Add-on version: 2.2.1-54
gvSIG version: 2.1.0 Add-on build: 54
gvSIG build: 2225 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Formats: WMS support (org.gvsig.raster.wms.app.wmsclient)
Description

Al instalar el paquete de WMS salta un error en la consola.

 WARN [Instalar paquetes] (PluginInstallerExecutionProvider.java:202) - Problems executing installation script.
/datos/usuario/NetBeansProjects/org.gvsig.desktop/target/product/gvSIG/extensiones/org.gvsig.raster.wms.app.wmsclient/install/install.xml:1: Element type "project" must be followed by either attribute specifications, ">" or "/>".
    a
ll/install.xml:1: Element type "project" must be followed by either attribute specifications, ">" or "/>".
    at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:310)
    at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:177)
    at
org.gvsig.installer.prov.plugin.execution.PluginInstallerExecutionProvider.executeAntFile(PluginInstallerExecutionProvider.java:199)
    at org.gvsig.installer.prov.plugin.execution.PluginInstallerExecutionProvider.install(PluginInstallerExecutionProvider.java:108)
    at org.gvsig.installer.lib.impl.execution.DefaultInstallPackageService.installPackage(DefaultInstallPackageService.java:284)
    at org.gvsig.installer.swing.impl.execution.wizard.ProgressWizard$UpdatePanel.run(ProgressWizard.java:125)
Caused by: org.xml.sax.SAXParseException; systemId: file:/datos/usuario/NetBeansProjects/org.gvsig.desktop/target/product/gvSIG/exte
:199)
    at
org.gvsig.installer.prov.plugin.execution.PluginInstallerExecutionProvider.install(PluginInstallerExecutionProvider.java:108)
    at org.gvsig.installer.lib.impl.execution.DefaultInstallPackageService.installPackage(DefaultInstallPackageService.java:284)
    at org.gvsig.installer.swing.impl.execution.wizard.ProgressWizard$UpdatePanel.run(ProgressWizard.java:125)
Caused by: org.xml.sax.SAXParseException; systemId:
file:/datos/usuario/NetBeansProjects/org.gvsig.desktop/target/product/gvSIG/extensiones/org.gvsig.raster.wms.app.wmsclient/install/install.xml; lineNumber: 1; columnNumber: 39; Element type "project" must be followed by either attribute specifications, ">" or "/>".
    at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
    at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:297)
    ... 5 more
 INFO [Instalar paquetes] (PluginInstallerExecutionProvider.java:92) - Installing package 'org.gvsig.raster.wmts.app.wmtsclient' in '/datos/usuario/NetBeansProjects/org.gvsig.desktop/target/product/gvSIG/extensiones'.

nstall/install.xml; lineNumber: 1; columnNumber: 39; Element type "project" must be followed by either attribute specifications,
">" or "/>".
    at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
    at org.apache.tools.ant.helper.ProjectHelper2.parse(ProjectHelper2.java:297)
    ... 5 more
 INFO [Instalar paquetes] (PluginInstallerExecutionProvider.java:92) - Installing package
'org.gvsig.raster.wmts.app.wmtsclient' in
'/datos/usuario/NetBeansProjects/org.gvsig.desktop/target/product/gvSIG/extensiones'.

Estaba instalando los siguientes paquetes:

 INFO [AWT-EventQueue-0] (DependenciesCalculatorV2.java:154) - Packages to install:
plugin   org.gvsig.gpe.app.mainplugin             2.0.2-SNAPSHOT-2081  testi all   all    j1_5  required: org.gvsig.app.mainplugin
-ge 2.0.0-0 required: org.gvsig.app.mainplugin -ge 2.0.0-0
plugin   org.gvsig.raster.gdal.app                2.2.2-SNAPSHOT-56    final lin   x86_64 j1_5  required:
org.gvsig.raster.tilecache.app -ge 2.0.0-0 required: org.gvsig.raster.tilecache.app -ge 2.0.0-0
plugin   org.gvsig.projection.app.jcrs            2.1.1-SNAPSHOT-2054  testi lin   x86_64 j1_5  conflict:
org.gvsig.projection.app.proj4j -ge 1.0.0-0, conflict: org.gvsig.projection.app.cresques -ge 1.0.0-0 conflict:
org.gvsig.projection.app.proj4j -ge 1.0.0-0, conflict: org.gvsig.projection.app.cresques -ge 1.0.0-0
plugin   org.gvsig.raster.wmts.app.wmtsclient     2.2.1-53             final all   all    j1_5  required: org.gvsig.raster.tilecache.app -ge
2.0.0-0, required: org.gvsig.raster.mainplugin -ge 2.0.0-0 required: org.gvsig.raster.tilecache.app -ge 2.0.0-0, required:
org.gvsig.raster.mainplugin -ge 2.0.0-0
plugin   org.gvsig.raster.mainplugin              2.2.2-SNAPSHOT-11    final lin   x86_64 j1_5  required: org.gvsig.app.mainplugin
-ge 2.0.1-0 required: org.gvsig.app.mainplugin -ge 2.0.1-0
plugin   org.gvsig.raster.wcs.app.wcsclient       2.2.1-53             final all   all    j1_5  required: org.gvsig.raster.tilecache.app -ge
2.0.0-0, required: org.gvsig.raster.mainplugin -ge 2.0.0-0 required: org.gvsig.raster.tilecache.app -ge 2.0.0-0, required:
org.gvsig.raster.mainplugin -ge 2.0.0-0
plugin   org.gvsig.raster.tools.app.basic         2.2.1-52             final all   all    j1_5  required: org.gvsig.raster.tilecache.app -ge
2.0.0-0 required: org.gvsig.raster.tilecache.app -ge 2.0.0-0
plugin   org.gvsig.wfs.app.mainplugin             2.0.2-2083           testi all   all    j1_5  required: org.gvsig.app.mainplugin -ge
2.0.0-0, required: org.gvsig.gpe.app.mainplugin -ge 2.0.0-0 required: org.gvsig.app.mainplugin -ge 2.0.0-0, required:
org.gvsig.gpe.app.mainplugin -ge 2.0.0-0
plugin   org.gvsig.raster.wms.app.wmsclient       2.2.1-54             final all   all    j1_5  required: org.gvsig.raster.tilecache.app -ge
2.0.0-0, required: org.gvsig.raster.mainplugin -ge 2.0.0-0 required: org.gvsig.raster.tilecache.app -ge 2.0.0-0, required:
org.gvsig.raster.mainplugin -ge 2.0.0-0
plugin   org.gvsig.raster.osm.app.osmclient       2.2.1-53             final all   all    j1_5  required: org.gvsig.raster.tilecache.app -ge
2.0.0-0, required: org.gvsig.raster.mainplugin -ge 2.0.0-0, required: org.gvsig.crs.extension -ge 1.0.0-0 required:
org.gvsig.raster.tilecache.app -ge 2.0.0-0, required: org.gvsig.raster.mainplugin -ge 2.0.0-0, required: org.gvsig.crs.extension
-ge 1.0.0-0

 INFO [AWT-EventQueue-0] (DependenciesCalculatorV2.java:265) - Added new package org.gvsig.raster.tilecache.app
required by dependency required: org.gvsig.raster.tilecache.app -ge 2.0.0-0 ( org.gvsig.raster.gdal.app
org.gvsig.raster.wmts.app.wmtsclient org.gvsig.raster.wcs.app.wcsclient org.gvsig.raster.tools.app.basic
org.gvsig.raster.wms.app.wmsclient org.gvsig.raster.osm.app.osmclient  ).
 INFO [AWT-EventQueue-0] (DependenciesCalculatorV2.java:249) - Required packages:
plugin   org.gvsig.raster.tilecache.app           2.2.1-53             final all   all    j1_5  required: org.gvsig.app.mainplugin -ge 2.0.1-0
required: org.gvsig.app.mainplugin -ge 2.0.1-0

 INFO [AWT-EventQueue-0] (DependenciesCalculatorV2.java:250) - Unresolved dependencies:

 INFO [AWT-EventQueue-0] (DependenciesCalculatorV2.java:251) - Conflict packages:
plugin   org.gvsig.projection.app.jcrs            2.1.1-SNAPSHOT-2054  testi lin   x86_64 j1_5  conflict:
org.gvsig.projection.app.proj4j -ge 1.0.0-0, conflict: org.gvsig.projection.app.cresques -ge 1.0.0-0 conflict:
org.gvsig.projection.app.proj4j -ge 1.0.0-0, conflict: org.gvsig.projection.app.cresques -ge 1.0.0-0
plugin   org.gvsig.projection.app.proj4j          2.0.32-SNAPSHOT-2224 testi all   all    j1_5  conflict:
org.gvsig.projection.app.cresques -ge 1.0.0-0, conflict: org.gvsig.projection.app.jcrs -ge 1.0.0-0 conflict:
org.gvsig.projection.app.cresques -ge 1.0.0-0, conflict: org.gvsig.projection.app.jcrs -ge 1.0.0-0

En el fichero "install.xml" hay un error de sintaxis, falta una comilla en el attributo 
name del tag project.

Al marge del error de sintaxis, tiene la pinta de que o deberia eliminarse la carpeta
"install" del plugin o le faltan ficheros ya que intenta copiar una libreria que no
esta en el plugin.

<project name="org.gvsig.wms default="copy_files" basedir=".">
    <target name="copy_files">
        <copy todir="${gvsig_dir}/gvSIG/extensiones/org.gvsig.app/lib">
            <fileset dir="./files" includes="org.gvsig.remoteclient-2.0-SNAPSHOT.jar"/>
        </copy>
    </target>
</project>

History
#1 - 04/22/2014 02:06 PM - Ignacio Brodín
- Description updated
- Status changed from New to Fixed

Efectivamente esa librería no debería llevarsela y además no está, ya que tira de la org.gvsig.app. Elimino directamente el install. 
gvsig-raster:r2755

#2 - 05/01/2014 10:12 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2226-testing

#3 - 05/03/2014 04:46 PM - Álvaro Anguix
- Status changed from Fixed to Closed
